flexiapi/routes/web.php
<?php
/*
    Flexisip Account Manager is a set of tools to manage SIP accounts.
    Copyright (C) 2020 Belledonne Communications SARL, All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

use App\Http\Controllers\Account\AccountController;
use App\Http\Controllers\Account\ApiKeyController;
use App\Http\Controllers\Account\CreationRequestTokenController;
use App\Http\Controllers\Account\DeviceController;
use App\Http\Controllers\Account\EmailController;
use App\Http\Controllers\Account\PasswordController;
use App\Http\Controllers\Account\PhoneController;
use App\Http\Controllers\Account\ProvisioningController;
use App\Http\Controllers\Account\RecoveryController;
use App\Http\Controllers\Admin\AccountAccountTypeController;
use App\Http\Controllers\Admin\AccountActionController;
use App\Http\Controllers\Admin\AccountActivityController;
use App\Http\Controllers\Admin\AccountContactController;
use App\Http\Controllers\Admin\AccountDeviceController;
use App\Http\Controllers\Admin\AccountDictionaryController;
use App\Http\Controllers\Admin\AccountImportController;
use App\Http\Controllers\Admin\AccountTypeController;
use App\Http\Controllers\Admin\AccountController as AdminAccountController;
use App\Http\Controllers\Admin\AccountStatisticsController;
use App\Http\Controllers\Admin\ContactsListController;
use App\Http\Controllers\Admin\ContactsListContactController;
use App\Http\Controllers\Admin\PhoneCountryController;
use App\Http\Controllers\Admin\ResetPasswordEmailController;
use App\Http\Controllers\Admin\SpaceController;
use App\Http\Controllers\Admin\StatisticsController;
use Illuminate\Support\Facades\Route;

Route::redirect('/', 'login')->name('account.home');
Route::get('documentation', 'Account\AccountController@documentation')->name('account.documentation');
Route::get('about', 'AboutController@about')->name('about');

Route::middleware(['web_panel_enabled', 'space.expired'])->group(function () {
    Route::get('login', 'Account\AuthenticateController@login')->name('account.login');
    Route::post('authenticate', 'Account\AuthenticateController@authenticate')->name('account.authenticate');
    Route::get('authenticate/qrcode/{token?}', 'Account\AuthenticateController@loginAuthToken')->name('account.authenticate.auth_token');
    Route::get('logout', 'Account\AuthenticateController@logout')->name('account.logout');

    Route::get('reset_password/{token}', 'Account\ResetPasswordEmailController@change')->name('account.reset_password_email.change');
    Route::post('reset_password', 'Account\ResetPasswordEmailController@reset')->name('account.reset_password_email.reset');

    // Deprecated
    Route::get('authenticate/email/{code}', 'Account\AuthenticateController@validateEmail')->name('account.authenticate.email_confirm');

    Route::prefix('creation_token')->controller(CreationRequestTokenController::class)->group(function () {
        Route::get('check/{token}', 'check')->name('account.creation_request_token.check');
        Route::post('validate', 'validateToken')->name('account.creation_request_token.validate');
    });
});

Route::group(['middleware' => ['auth.jwt', 'auth.digest_or_key']], function () {
    Route::get('provisioning/me', 'Account\ProvisioningController@me')->name('provisioning.me');

    // vCard 4.0
    Route::get('contacts/vcard/{sip}', 'Account\ContactVcardController@show')->name('account.contacts.vcard.show');
    Route::get('contacts/vcard', 'Account\ContactVcardController@index')->name('account.contacts.vcard.index');

    // vCards Storage
    Route::get('vcards-storage/{uuid}', 'Account\VcardsStorageController@show')->name('account.vcards-storage.show');
    Route::get('vcards-storage/', 'Account\VcardsStorageController@index')->name('account.vcards-storage.index');
});

Route::name('provisioning.')->prefix('provisioning')->controller(ProvisioningController::class)->group(function () {
    Route::get('documentation', 'documentation')->name('documentation');
    Route::get('auth_token/{auth_token}', 'authToken')->name('auth_token');
    Route::get('qrcode/{provisioning_token}', 'qrcode')->name('qrcode');
    Route::get('{provisioning_token}', 'provision')->name('provision');
    Route::get('/', 'show')->name('show');
});

Route::middleware(['web_panel_enabled', 'space.expired'])->group(function () {
    Route::middleware(['public_registration'])->group(function () {
        Route::redirect('register', 'register/email')->name('account.register');

        Route::middleware(['phone_registration'])->group(function () {
            Route::get('register/phone', 'Account\RegisterController@registerPhone')->name('account.register.phone');
        });

        Route::get('register/email', 'Account\RegisterController@registerEmail')->name('account.register.email');
        Route::post('accounts', 'Account\AccountController@store')->name('account.store');
    });

    Route::prefix('recovery')->controller(RecoveryController::class)->group(function () {
        Route::get('phone', 'showPhone')->name('account.recovery.show.phone');
        Route::get('email', 'showEmail')->name('account.recovery.show.email');
        Route::post('/', 'send')->name('account.recovery.send');
        Route::post('confirm', 'confirm')->name('account.recovery.confirm');
    });

    Route::name('account.')->middleware(['auth', 'auth.check_blocked'])->group(function () {
        Route::get('blocked', 'Account\AccountController@blocked')->name('blocked');

        Route::prefix('email')->controller(EmailController::class)->group(function () {
            Route::get('change', 'change')->name('email.change');
            Route::post('change', 'requestChange')->name('email.request_change');
            Route::get('validate', 'validateChange')->name('email.validate');
            Route::post('/', 'store')->name('email.update');
        });

        Route::middleware(['phone_registration'])->group(function () {
            Route::prefix('phone')->controller(PhoneController::class)->group(function () {
                Route::get('change', 'change')->name('phone.change');
                Route::post('change', 'requestChange')->name('phone.request_change');
                Route::get('validate', 'validateChange')->name('phone.validate');
                Route::post('/', 'store')->name('phone.update');
            });
        });

        Route::name('device.')->prefix('devices')->controller(DeviceController::class)->group(function () {
            Route::get('/', 'index')->name('index');
            Route::get('{device_id}/delete', 'delete')->name('delete');
            Route::delete('/', 'destroy')->name('destroy');
        });

        Route::controller(AccountController::class)->group(function () {
            Route::get('dashboard', 'dashboard')->name('dashboard');

            Route::get('delete', 'delete')->name('delete');
            Route::delete('delete', 'destroy')->name('destroy');
        });

        Route::prefix('password')->controller(PasswordController::class)->group(function () {
            Route::get('/', 'show')->name('password.show');
            Route::post('/', 'update')->name('password.update');
        });

        Route::prefix('api_key')->controller(ApiKeyController::class)->group(function () {
            Route::get('/', 'show')->name('api_key.show');
            Route::post('/', 'update')->name('api_key.update');
        });

        Route::post('auth_tokens', 'Account\AuthTokenController@create')->name('auth_tokens.create');
        Route::get('auth_tokens/auth/external/{token}', 'Account\AuthTokenController@authExternal')->name('auth_tokens.auth.external');
    });

    Route::get('auth_tokens/qrcode/{token}', 'Account\AuthTokenController@qrcode')->name('auth_tokens.qrcode');
    Route::get('auth_tokens/auth/{token}', 'Account\AuthTokenController@auth')->name('auth_tokens.auth');

    Route::name('admin.')->prefix('admin')->middleware(['auth.admin', 'auth.check_blocked'])->group(function () {
        Route::get('space', 'Admin\SpaceController@me')->name('spaces.me');
        Route::get('spaces/{space}/configuration', 'Admin\SpaceController@configuration')->name('spaces.configuration');
        Route::put('spaces/{space}/configuration', 'Admin\SpaceController@configurationUpdate')->name('spaces.configuration.update');

        Route::middleware(['auth.super_admin'])->group(function () {
            Route::resource('spaces', SpaceController::class);
            Route::get('spaces/delete/{id}', 'Admin\SpaceController@delete')->name('spaces.delete');

            Route::get('spaces/{space}/administration', 'Admin\SpaceController@administration')->name('spaces.administration');
            Route::put('spaces/{space}/administration', 'Admin\SpaceController@administrationUpdate')->name('spaces.administration.update');

            Route::name('phone_countries.')->controller(PhoneCountryController::class)->prefix('phone_countries')->group(function () {
                Route::get('/', 'index')->name('index');
                Route::get('/activate_all', 'activateAll')->name('activate_all');
                Route::get('/deactivate_all', 'deactivateAll')->name('deactivate_all');
                Route::get('/{code}/activate', 'activate')->name('activate');
                Route::get('/{code}/deactivate', 'deactivate')->name('deactivate');
            });
        });

flexiapi/resources/views/layouts/main.blade.php
<!DOCTYPE html>

<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>{{ space()->name }}</title>

    <link rel="stylesheet" type="text/css" href="{{ asset('css/style.css') }}">

    @php
        $space = space();
    @endphp

    @if (space()?->custom_theme && file_exists(public_path('css/' . space()?->host . '.style.css')))
        <link rel="stylesheet" type="text/css" href="{{ asset('css/' . space()?->host . '.style.css') }}">
    @endif

    <script src="{{ asset('scripts/utils.js') }}"></script>
    <script src="{{ asset('scripts/chart.js') }}"></script>
    <script src="{{ asset('scripts/chartjs-plugin-datalabels@2.0.0') }}"></script>
</head>

<body class="@if (isset($welcome) && $welcome) welcome @endif">
    <header>
        <nav>
            <a id="logo" href="{{ route('account.home') }}"><span
                    class="on_desktop">{{ space()->name }}</span></a>

            @if (!isset($welcome) || $welcome == false)
                <a id="menu" class="on_mobile" href="#"
                    onclick="document.body.classList.toggle('show_menu')"></a>
            @endif

            @if (auth()->user())
                <a class="oppose" href="{{ route('account.dashboard') }}">
                    <i class="ph">user</i>
                    <span class="on_desktop">{{ auth()->user()->identifier }}</span>

                    @if (auth()->user()->superAdmin)
                        <span class="badge badge-error" title="Admin">Super Adm.</span>
                    @elseif (auth()->user()->admin)
                        <span class="badge badge-primary" title="Admin">Adm.</span>
                    @endif
                </a>
            @endif

            <a class="oppose" href="{{ route('about') }}">
                <i class="ph">info</i><span class="on_desktop">{{ __('About') }}</span>
            </a>

            @if (auth()->user())
                <a class="oppose" href="{{ route('account.logout') }}">
                    <i class="ph">sign-out</i>
                </a>
            @endif
        </nav>
    </header>

    <content>
        @if (!isset($welcome) || $welcome == false)
            @include('parts.sidebar')
        @endif

        @include('parts.errors')

        @if (!isset($welcome) || $welcome == false)
            <section @if (isset($grid) && $grid) class="grid" @endif>

            @hasSection('breadcrumb')
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('account.dashboard') }}">{{ __('My Account') }}</a></li>
                        @yield('breadcrumb')
                    </ol>
                </nav>
            @endif
        @endif

        @yield('content')

        @if (!isset($welcome) || $welcome == false)
            </section>
        @endif
    </content>
</body>

</html>